Bug 92466 - Port sysutils/apcupsd - upgrade and many fixes
Summary: Port sysutils/apcupsd - upgrade and many fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-28 19:20 UTC by Oleksii Samorukov
Modified: 2006-04-22 14:52 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (5.86 KB, patch)
2006-01-28 19:20 UTC, Oleksii Samorukov
no flags Details | Diff
apcupsd.diff (10.57 KB, patch)
2006-03-28 13:39 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details | Diff
apcupsd.diff_2 (1.98 KB, application/octet-stream)
2006-04-09 13:03 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2006-01-28 19:20:02 UTC

Proposed patch will:
1) Update apcupsd to the 3.12.2 version
2) Replace old startup shell script with a new, rc style.
3) Fix man path on configure stage (--manndir)
4) add -lmenu -lcurses to libs to make configure happy (it tries to use -lmenu w/o -lcurses and fail to detect ncurses lib)
5) removes manual.pdf because it removed from the source tarball
6) removes apcnisd from the pkg-plist (it seems that it is deprecated)
7) replace etc/apcupsd/mainsback to etc/apcupsd/offbattery
Comment 1 Marcus Alves Grando freebsd_committer 2006-01-28 20:16:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 2 Marcus Alves Grando freebsd_committer 2006-01-28 20:52:47 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback 


Comment 3 Marcus Alves Grando freebsd_committer 2006-01-28 20:52:47 UTC
Responsible Changed
From-To: mnag->freebsd-ports-bugs

Awaiting maintainers feedback
Comment 4 Marcus Alves Grando freebsd_committer 2006-01-28 20:57:04 UTC
Dear maintainer,

Do you approve this update:

http://www.freebsd.org/cgi/query-pr.cgi?pr=92466

Leftovers:
=== Checking filesystem state
list of extra files and directories in / (not present before this port
was installed but present after it was deinstalled)
240871    4 drwxr-xr-x    2 root             wheel                 512
Jan 28 20:38 usr/local/share/doc/apcupsd
================================================================

Regards

-- 
Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
  mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 5 Ion-Mihai " IOnut " Tetcu 2006-03-28 13:39:41 UTC
[ some interested parties cc'ed, feedback welcomed ]

Attached patch updates the port and it's OK, according to my amd64
tinderbox and local tests.

Log:
- Update to 3.12.2
- Replace files/apcupsd.sh.sample with files/apcupsd.in and use RC_SUBR
with it
- Fix man path (--manndir)
- add -lmenu -lcurses to LIBS (something it's broken here because we're
linking all binaries with this libs but the upstream documented way
doesn't work; I'll investigate this further as time permits).
- since distributed documentation doesn't build add manual.pdf to the
DISTFILES and install it as the the only PORTDOCS. I'll probably let it
be this way (else the port will have to depend on *tex, etc. which I'd
like to avoid) - patches for making this optional are welcomed.

Still to do:
- import some USB patches from upstream CVS.

Apologies for being late with this update, I hope it will not happen in
the future.

PR:	ports/92466 by "Alex Samorukov" <samm@os2.kiev.ua> (based on)


-- 
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

Ferengi Rule of Acquisition #10:
	 Greed is eternal.
		-- ST:DS9, Prophet Motive

Comment 6 Ion-Mihai " IOnut " Tetcu 2006-04-09 13:03:56 UTC
On Sat, 8 Apr 2006 23:28:02 +0300
Ion-Mihai Tetcu <itetcu@people.tecnik93.com> wrote:

> 
> I thought I sent this email yesterday, sorry for the delay.
> 
> 
> On Fri, 07 Apr 2006 16:04:19 -0300
> Marcus Alves Grando <mnag@FreeBSD.org> wrote:
> 
> > Sent patch attached please.
> > 
> > Thanks
> 
> Bellow is the original mail I sent, with the patch attached (it was
> attached in my original mail too). It is also at:
> http://sce-tindy.tecnik93.com/FreeBSD/ports/apcupsd/port/apcupsd.diff
> 

Please also apply attached patch after the first one, it will:
- fix MASTER_STIES definition [1]
and
- change default OPTIONS to something more widely used [2]

Help from:		flz on IRC [1]
Requested by:		flz on IRC [2]  (partially)
Tinderbox:		http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=229


-- 
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #225:
It's those computer people in X {city of world}, they keep stuffing things up

Comment 7 Marcus Alves Grando freebsd_committer 2006-04-22 14:52:14 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!